import { ElementServiceService } from '../../elements/editor-service.service';
import { MatSnackBar } from '@angular/material/snack-bar';
import { MatAutocompleteSelectedEvent } from '@angular/material/autocomplete';
import * as i0 from "@angular/core";
export declare class PaymentDetailsComponent {
    private restService;
    private snackBar;
    admissionData: any;
    subscriptionsData: any[];
    termPaymentList: any[];
    Object: ObjectConstructor;
    constructor(restService: ElementServiceService, snackBar: MatSnackBar);
    feeStructure: any;
    feeConfig: any;
    ngOnInit(): void;
    stopsList: any;
    filteredStopsList: any;
    vehicleTypesList: any;
    filteredVehicleTypesList: any;
    stopSearchText: string;
    selectedStop: any;
    selectedVehicleType: any;
    routeValues: any;
    vehicleTypeSearchText: any;
    getAllStops(): void;
    filterStops(): void;
    onStopSelection(event: MatAutocompleteSelectedEvent): void;
    getVehicleTypes(): void;
    filtereVehicleTypes(): void;
    onVehicleTypeSelection(event: MatAutocompleteSelectedEvent): void;
    getVehicleRoutesByStops(): void;
    defaultImage: string;
    selectedItem: any;
    changeTermValue(item: any): void;
    addTerms(ev: any, item: any): void;
    getOrdinalSuffix(i: number): string;
    isSubscriptionSelected(item: any): boolean;
    onSubscriptionItemChange(event: any, item: any): void;
    toggleSubscriptionSelection(list: any[], selectedIndex: number, parentItem: any): void;
    hasActiveSubscriptions(): boolean;
    disableSubscriptionSelection(item: any): boolean;
    addingTransportFee(): void;
    removeTrasportFee(): void;
    onCheckboxChange(item: any, event: any): void;
    addingTransportRequest(): void;
    getPickupTime(item: any): Date | null;
    getDroptime(item: any): Date | null;
    changeTransportTermValue(item: any): void;
    addSingleStop(ev: any, item: any): void;
    calculateTotalAmountV2(cal: number, value: any): void;
    listAllKits: any;
    getAllKits(): void;
    addRemoveKit(item: any, ev: any): void;
    changePaymentStatus(item: any): void;
    hasActiveKits(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<PaymentDetailsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PaymentDetailsComponent, "simpo-payment-details", never, { "admissionData": { "alias": "admissionData"; "required": false; }; "subscriptionsData": { "alias": "subscriptionsData"; "required": false; }; "termPaymentList": { "alias": "termPaymentList"; "required": false; }; }, {}, never, never, true, never>;
}
